Loading...
Searching...
No Matches
disarray_rep< T, distributed, A >::message_type

## Detailed Description

template<class T, class A>
struct rheolef::disarray_rep< T, distributed, A >::message_type

2) message: for communication during assembly_begin(), assembly_end()

Definition at line 422 of file disarray.h.

## Public Member Functions

| message_type ()

## Public Attributes

std::list< std::pair< size_type, mpi::request > > | waits
std::vector< std::pair< size_type, stash_value > > | data

## Constructor & Destructor Documentation

## message_type()

template<class T , class A >

message_type | ( |  | ) |

Definition at line 425 of file disarray.h.

## Member Data Documentation

## waits

template<class T , class A >

std::list<std::pair<size_type,mpi::request> > waits

Definition at line 423 of file disarray.h.

## data

template<class T , class A >

std::vector<std::pair<size_type,stash_value> > data

Definition at line 424 of file disarray.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/disarray.h